Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Random Phobia

Show off your phobias!

Will there be any German, Spanish, etc language files?

Yes, of course. You are welcome to help me translate the textfile [phobias.txt] into any language that you desire.

Requires: 2.5 or higher
Compatible up to: 2.7.1
Last Updated: 7 years ago
Active Installs: Less than 10


0 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.